<?
/**
 * VoiceOne Webservices Registrations
 *  
 * @package voiceone_webservices
 * @subpackage Setup
 */
$server->register(
    'isVotoolsExecutable',
    array(),
    array('return'=>'xsd:string'),
    $NAMESPACE);
$server->register(
    'checkDatabaseAccess',
    array(),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'setSystemName',
    array('name'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'setSystemPasswords',
    array('passwords'=>'tns:SystemPasswords'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getSystemConfig',
    array(),
    array('return'=>'tns:AssociativeArray'),
    $NAMESPACE);
$server->register(
    'putSystemConfig',
    array('conf'=>'tns:AssociativeArray'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'initialize',
    array('genKeys'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
?>
